Subject: Re: [bug#46866] [PATCH] gnu: b4: Fix setup.py version incompatibility.
From: Efraim Flashner <[email-masked]>
To: Kyle Meyer <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Mar 2021 14:29:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Mar 09, 2021 at 05:54:04PM -0500, Kyle Meyer wrote:
> Efraim Flashner writes:
> 
> > Indeed, it does fail at startup. Two things about your patch, you've
> > added a patch file but didn't register it in gnu/local.mk. This means
> > it'll get dropped during a 'make dist' which would be a problem.
> 
> Doh, thanks for catching that.
> 
> > The second is that it's a lot of patch for a small amount of code
> > change.
> 
> I like that a patch fails loudly once it's no longer valid, but I'm
> happy to defer to your opinion that it's an overkill here (and will try
> to recalibrate for future patches).
> 
> > With your permission I'd like to commit the attached patch instead.
> [...]
> > From: Kyle Meyer <[email-masked]>
> > Date: Tue, 9 Mar 2021 10:06:13 +0200
> > Subject: [PATCH] gnu: b4: Fix setup.py version incompatibility.
> >
> > * gnu/packages/version-control.scm (b4)[source]: Add snippet to not
> > require too specific of a version.
> >
> > Co-authored with Efraim Flashner <[email-masked]>
> >
> > Signed-off-by: Efraim Flashner <[email-masked]>
> 
> Sounds fine to me.  I have a slight preference that you put yourself as
> the author and put a
> 
>   Noticed-by: Kyle Meyer <[email-masked]>
> 
> or
> 
>   Reported-by: Kyle Meyer <[email-masked]>
> 
> trailer for me, but either way is okay.
> 
> > @@ -2347,7 +2347,15 @@ based on a manifest file published by servers.")
> >         (method url-fetch)
> >         (uri (pypi-uri "b4" version))
> >         (sha256
> > -        (base32 "1j904dy9cwxl85k2ngc498q5cdnqwsmw3jibjr1m55w8aqdck68z"))))
> > +        (base32 "1j904dy9cwxl85k2ngc498q5cdnqwsmw3jibjr1m55w8aqdck68z"))
> > +       (modules '((guix build utils)))
> > +       (snippet
> > +        '(begin
> > +           ;; Fixes issue with dependency requirements being too strict. See upstream commit:
> > +           ;; https://git.kernel.org/pub/scm/utils/b4/b4.git/commit/?id=31348a14afdb1d39e7faf9576eaddea1ced76e19
> > +           (substitute* "setup.py"
> > +             (("\\.0'") "'"))
> 
> Just a note: This won't catch a similar problem if dkimpy (1.0.5) is
> upgraded before b4, though perhaps that's unlikely and not worth
> worrying about.
> 
> Thank you for the review.

Not sure how I forgot I had this waiting for me. I changed the
substitution from "\\.0'" to change the ~= to >= and pushed it.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted